## ghc-mod 1.0.4

=== elisp/Makefile ===
SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-flymake.el \
       ghc-command.el ghc-info.el
EMACS = emacs

TEMPFILE  = temp.el

all: $(TEMPFILE) ghc.el
	$(EMACS) -batch -q -no-site-file -l ./$(TEMPFILE) -f ghc-compile
	rm -f $(TEMPFILE)

$(TEMPFILE):
	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE)
	@echo '(defun ghc-compile () (mapcar (lambda (x) (byte-compile-file x)) (list ' >> $(TEMPFILE)
	@echo $(SRCS)| sed -e 's/\(ghc[^ ]*\.el\)/"\1"/g' >> $(TEMPFILE)
	@echo ')))' >> $(TEMPFILE)

clean:
	rm -f *.elc $(TEMPFILE)

## ghc-mod 1.0.5

=== elisp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-flymake.el \
-       ghc-command.el ghc-info.el
+       ghc-command.el ghc-info.el ghc-ins-mod.el
 EMACS = emacs
 
 TEMPFILE  = temp.el

## ghc-mod 1.10.10

=== elisp/Makefile ===
--- 
+++ 
@@ -1,12 +1,17 @@
 SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-flymake.el \
        ghc-command.el ghc-info.el ghc-ins-mod.el
 EMACS = emacs
+DETECT = xemacs
 
 TEMPFILE  = temp.el
 
 all: $(TEMPFILE) ghc.el
 	$(EMACS) -batch -q -no-site-file -l ./$(TEMPFILE) -f ghc-compile
 	rm -f $(TEMPFILE)
+
+detect: $(TEMPFILE) ghc.el
+	$(EMACS) -batch -q -no-site-file -l ./$(TEMPFILE) -f ghc-compile
+	rm -f $(DETECT)
 
 $(TEMPFILE):
 	@echo '(setq load-path (cons "." load-path))' >> $(TEMPFILE)

=== debian/changelog ===
ghc-mod (1.10.10-2) unstable; urgency=low

  * /etc/emacs/site-start.d/51ghc-mod.el:
    + remove haskell-mode-hook to use ghc-mod's C-cC-t.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 04 Mar 2012 23:27:48 +0900

ghc-mod (1.10.10-1) unstable; urgency=low

  * Imported Upstream version 1.10.10.
  * Add new build-dependencies:
    + libghc-ghc-syb-utils-dev
    + libghc-io-choice-dev
    + libghc-syb-dev
  * Drop obsolete build-dependency:
    + libghc-attoparsec-dev
    + libghc-attoparsec-enumerator-dev
    + libghc-enumerator-dev
  * Set source/format: 3.0 (quilt)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 04 Mar 2012 14:48:58 +0900

ghc-mod (1.0.5-1) unstable; urgency=low

  * Imported Upstream version 1.0.5.
  * Build-Depends: ghc-ghci (bacause ghc-mod use ghci's API)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 28 Dec 2011 15:44:14 +0900

ghc-mod (1.0.4-2) unstable; urgency=low

  * Add missing BD on libghc-regex-posix-dev and specify version constraint on
    attoparsec from control file. Thanks to Micah Gersten for the patch
    (Closes: #653204)

 -- Iain Lane <laney@debian.org>  Sun, 25 Dec 2011 13:30:19 +0000

ghc-mod (1.0.4-1) unstable; urgency=low

  * Imported Upstream version 1.0.4
  * Support attoparsec 0.10. (Closes: #652240)
  * Change vcs line to darcs on debian/control.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Thu, 22 Dec 2011 14:29:31 +0900

ghc-mod (1.0.0-1) unstable; urgency=low

  * Imported Upstream version 1.0.0
  * Build-Depends: libghc-filemanip-dev

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Thu, 24 Nov 2011 17:58:21 +0900

ghc-mod (0.6.1-1) unstable; urgency=low

  * Imported Upstream version 0.6.1

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 31 Aug 2011 20:16:25 +0900

ghc-mod (0.6.0-3) unstable; urgency=low

  * depend on haskell-mode.
  * not support xemacs*. (Closes: #639649)

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Mon, 29 Aug 2011 12:03:10 +0900

ghc-mod (0.6.0-2) unstable; urgency=low

  * NMU.
  * Minor cleanup before sponsoring (version bump required because 0.6.0-1 was
    already tagged in git repository).
  * Add watch file

 -- Joachim Breitner <nomeata@debian.org>  Sun, 28 Aug 2011 10:47:17 +0200

ghc-mod (0.6.0-1) UNRELEASED; urgency=low

  * ITP (Closes: #639553)
  * Debianization generated by cabal-debian

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Fri, 26 Aug 2011 23:00:21 +0900

## ghc-mod 1.10.15

=== debian/changelog ===
ghc-mod (1.10.15-1) unstable; urgency=low

  * Imported Upstream version 1.10.15.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sat, 21 Apr 2012 16:45:51 +0900

ghc-mod (1.10.13-1) unstable; urgency=low

  * Imported Upstream version 1.10.13.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 15 Apr 2012 08:50:05 +0900

## ghc-mod 1.10.18

=== debian/changelog ===
ghc-mod (1.10.18-1) unstable; urgency=low

  * Imported Upstream version 1.10.18.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Sun, 24 Jun 2012 14:03:57 +0900

=== debian/control ===
Source: ghc-mod
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>= 7.0),
               haskell-devscripts (>= 0.8),
               cdbs,
               ghc,
               ghc-ghci,
               libghc-ghc-paths-dev,
               libghc-hlint-dev (>= 1.7.1),
               libghc-regex-posix-dev,
               libghc-transformers-dev,
               libghc-filemanip-dev,
	       libghc-ghc-syb-utils-dev,
	       libghc-io-choice-dev,
	       libghc-syb-dev
Standards-Version: 3.9.3
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod
DM-Upload-Allowed: yes

Package: ghc-mod
Architecture: any
Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}, haskell-mode
Recommends: ghc
Description: Happy Haskell programming on Emacs
 This package includes Elisp files and a Haskell command, "ghc-mod".
 "ghc*.el" enable completion of Haskell symbols on Emacs.
 Flymake is also integrated. "ghc-mod" is a backend of "ghc*.el".
 It lists up all installed modules or extracts names of functions, classes,
 and data declarations.
 Note: This package DO NOT support xemacs*. Only for emacs*.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/hlibrary.mk

DEB_EMACS_PRIORITY = 51

build/ghc-mod :: build-ghc-stamp

install/ghc-mod :: debian/tmp-inst-ghc
	mkdir -p debian/ghc-mod/usr/bin
	cp debian/tmp-inst-ghc/usr/bin/ghc-mod debian/ghc-mod/usr/bin/
	mkdir -p debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod
	cp debian/tmp-inst-ghc/usr/share/ghc-mod-*/*.el debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod/

=== debian/watch ===
version=3
opts="downloadurlmangle=s|archive/([\w\d_-]+)/([\d\.]+)/|archive/$1/$2/$1-$2.tar.gz|,\
filenamemangle=s|(.*)/$|ghc-mod-$1.tar.gz|" \
    http://hackage.haskell.org/packages/archive/ghc-mod \
    ([\d\.]*\d)/

## ghc-mod 1.11.0

=== elisp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-flymake.el \
-       ghc-command.el ghc-info.el ghc-ins-mod.el
+       ghc-command.el ghc-info.el ghc-ins-mod.el ghc-indent.el
 EMACS = emacs
 DETECT = xemacs

=== debian/changelog ===
ghc-mod (1.11.0-1) unstable; urgency=low

  * Imported Upstream version 1.11.0.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Mon, 06 Aug 2012 20:46:26 +0900

## ghc-mod 1.11.1

=== debian/changelog ===
ghc-mod (1.11.1-2) unstable; urgency=low

  * Enable compat level 9

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:49:44 +0200

ghc-mod (1.11.1-1) experimental; urgency=low

  * Depend on haskell-devscripts 0.8.13 to ensure this packages is built
    against experimental
  * Bump standards version, no change
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Fri, 19 Oct 2012 23:50:34 +0200

## ghc-mod 2.0.2

=== debian/changelog ===
ghc-mod (2.0.2-1) unstable; urgency=low

  * New upstream version 2.0.2.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Wed, 29 May 2013 22:02:56 +0900

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,12 @@
 Section: haskell
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
-Build-Depends: debhelper (>= 7.0),
-               haskell-devscripts (>= 0.8),
+Build-Depends: debhelper (>= 9),
+               haskell-devscripts (>= 0.8.13),
                cdbs,
                ghc,
                ghc-ghci,
+               libghc-convertible-dev,
                libghc-ghc-paths-dev,
                libghc-hlint-dev (>= 1.7.1),
                libghc-regex-posix-dev,
@@ -16,7 +17,7 @@
 	       libghc-ghc-syb-utils-dev,
 	       libghc-io-choice-dev,
 	       libghc-syb-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod

## ghc-mod 3.0.2

=== debian/changelog ===
ghc-mod (3.0.2-1) unstable; urgency=low

  * New upstream version.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Mon, 16 Sep 2013 20:47:53 +0900

ghc-mod (2.0.2-2) unstable; urgency=low

  * Adjust debian/rules to new path used by haskell-devscripts (Closes:
    #719403)

 -- Joachim Breitner <nomeata@debian.org>  Mon, 12 Aug 2013 11:03:00 +0200

## ghc-mod 3.1.4

=== elisp/Makefile ===
--- 
+++ 
@@ -21,3 +21,11 @@
 
 clean:
 	rm -f *.elc $(TEMPFILE)
+
+VERSION = `grep version ghc.el | sed -e 's/[^0-9\.]//g'`
+
+bump:
+	echo "(define-package\n  \"ghc-mod\"\n  $(VERSION)\n  \"Sub mode for Haskell mode\"\n  nil)" > ghc-pkg.el
+
+archive:
+	git archive master -o ~/ghc-$(VERSION).tar --prefix=ghc-$(VERSION)/

=== debian/changelog ===
ghc-mod (3.1.4-1) unstable; urgency=low

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout

  [ Kiwamu Okabe ]
  * New upstream version.

 -- Kiwamu Okabe <kiwamu@debian.or.jp>  Thu, 05 Dec 2013 18:54:46 +0900

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.8.13),
+               haskell-devscripts (>= 0.8.19),
                cdbs,
                ghc,
                ghc-ghci,
@@ -14,14 +14,13 @@
                libghc-regex-posix-dev,
                libghc-transformers-dev,
                libghc-filemanip-dev,
-	       libghc-ghc-syb-utils-dev,
-	       libghc-io-choice-dev,
-	       libghc-syb-dev
+               libghc-ghc-syb-utils-dev,
+               libghc-io-choice-dev,
+               libghc-syb-dev
 Standards-Version: 3.9.4
 Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod
-DM-Upload-Allowed: yes
 
 Package: ghc-mod
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,4 @@
 	mkdir -p debian/ghc-mod/usr/bin
 	cp debian/tmp-inst-ghc/usr/bin/ghc-mod debian/ghc-mod/usr/bin/
 	mkdir -p debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod
-	cp debian/tmp-inst-ghc/usr/share/ghc-mod-*/*.el debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod/
+	cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod/

## ghc-mod 4.1.2

=== elisp/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-flymake.el \
+SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-check.el ghc-process.el \
        ghc-command.el ghc-info.el ghc-ins-mod.el ghc-indent.el
 EMACS = emacs
 DETECT = xemacs

=== debian/changelog ===
ghc-mod (4.1.2-2) unstable; urgency=medium

  * Added conformance to emacs policy
  * Declared incompability with emacs23 (Closes: #752594)

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Thu, 26 Jun 2014 16:47:02 +0200

ghc-mod (4.1.2-1) unstable; urgency=high

  * Added depenency on ghc (Closes: #714458)
  * Bump standards version, no change
  * New upstream release

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Thu, 29 May 2014 00:14:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,28 +4,28 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.8.19),
+               haskell-devscripts (>= 0.8.20),
                cdbs,
                ghc,
                ghc-ghci,
                libghc-convertible-dev,
                libghc-ghc-paths-dev,
-               libghc-hlint-dev (>= 1.7.1),
+               libghc-hlint-dev (>= 1.8.61),
                libghc-regex-posix-dev,
                libghc-transformers-dev,
                libghc-filemanip-dev,
                libghc-ghc-syb-utils-dev,
                libghc-io-choice-dev,
                libghc-syb-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
 Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
 Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod
 
 Package: ghc-mod
 Architecture: any
-Depends: ${shlibs:Depends}, ${haskell:Depends}, ${misc:Depends}, haskell-mode
-Recommends: ghc
+Depends: ${shlibs:Depends}, ${misc:Depends}, haskell-mode,
+	 ${haskell:ghc-version}, emacsen-common (>= 2.0.8)
 Description: Happy Haskell programming on Emacs
  This package includes Elisp files and a Haskell command, "ghc-mod".
  "ghc*.el" enable completion of Haskell symbols on Emacs.

=== debian/rules ===
--- 
+++ 
@@ -9,5 +9,6 @@
 install/ghc-mod :: debian/tmp-inst-ghc
 	mkdir -p debian/ghc-mod/usr/bin
 	cp debian/tmp-inst-ghc/usr/bin/ghc-mod debian/ghc-mod/usr/bin/
+	cp debian/tmp-inst-ghc/usr/bin/ghc-modi debian/ghc-mod/usr/bin
 	mkdir -p debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod
 	cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod/

## ghc-mod 5.2.1.1

=== elisp/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 SRCS = ghc.el ghc-func.el ghc-doc.el ghc-comp.el ghc-check.el ghc-process.el \
-       ghc-command.el ghc-info.el ghc-ins-mod.el ghc-indent.el
+       ghc-command.el ghc-info.el ghc-ins-mod.el ghc-indent.el ghc-rewrite.el
 EMACS = emacs
 DETECT = xemacs

=== debian/changelog ===
ghc-mod (5.2.1.1-3) unstable; urgency=medium

  * Remove unnecessary dependency on emacsen-common from ghc-mod.
    (Closes: #767762)
  * Make ghc-mod-el depend on the same version of ghc-mod so nothing breaks in
    case the interface changes.

 -- Daniel Gröber <dxld@darkboxed.org>  Sun, 09 Nov 2014 15:06:08 +0100

ghc-mod (5.2.1.1-2) unstable; urgency=medium

  * Fix upgrading ghc-mod from wheezy by declaring a Replaces+Breaks relation
    for ghc-mod-el. (Closes: #768226)

 -- Daniel Gröber <dxld@darkboxed.org>  Thu, 06 Nov 2014 17:42:36 +0100

ghc-mod (5.2.1.1-1) unstable; urgency=medium

  * New upstream release
  * Split off ghc-mod-el (Closes: #767762)

 -- Daniel Gröber <dxld@darkboxed.org>  Mon, 03 Nov 2014 23:18:16 +0100

=== debian/control ===
Source: ghc-mod
Priority: extra
Section: haskell
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Gröber <dxld@darkboxed.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
Build-Depends: debhelper (>= 9),
               haskell-devscripts (>= 0.8.20),
               cdbs,
               ghc,
               ghc-ghci,
               libghc-async-dev,
               libghc-convertible-dev,
               libghc-djinn-ghc-dev (>= 0.0.2.2),
               libghc-data-default-dev,
               libghc-ghc-paths-dev,
               libghc-ghc-syb-utils-dev,
               libghc-src-exts-dev,
               libghc-hlint-dev (>= 1.8.61),
               libghc-io-choice-dev,
               libghc-monad-control-dev,
               libghc-monad-journal-dev (>= 0.4),
               libghc-mtl-dev (>= 2.0),
               libghc-split-dev,
               libghc-syb-dev,
               libghc-text-dev,
               libghc-transformers-dev,
               libghc-transformers-base-dev,
               libghc-temporary-dev
Standards-Version: 3.9.5
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Darcs: http://darcs.debian.org/pkg-haskell/ghc-mod
Vcs-Browser: http://darcs.debian.org/cgi-bin/darcsweb.cgi?r=pkg-haskell/ghc-mod

Package: ghc-mod
Architecture: any
Recommends: ghc-mod-el (=${binary:Version})
Depends: ${shlibs:Depends}, ${misc:Depends},
	 ${haskell:ghc-version}
Description: Happy Haskell programming
 This package provides the executables ghc-mod and ghc-modi. The GNU Emacs
 integration code is provided by a separate package, namely ghc-mod-el.

Package: ghc-mod-el
Architecture: all
Recommends: haskell-mode
Depends: ${shlibs:Depends}, ${misc:Depends},
	 ${haskell:ghc-version},
         emacsen-common (>= 2.0.8),
         ghc-mod (>= ${source:Version}),
         ghc-mod (<< ${source:Version}.1~)
Replaces: ghc-mod (<< 5.2.1.1-1)
Breaks: ghc-mod (<< 5.2.1.1-1)
Description: Happy Haskell programming with Emacs
 This package proviceds the GNU Emacs integration code for ghc-mod.
 .
 Note: This package does NOT support xemacs*. Only for emacs*.

## ghc-mod 5.2.1.2

=== debian/changelog ===
ghc-mod (5.2.1.2-1) unstable; urgency=medium

  * New upstream release (Closes: #785936)

 -- Joachim Breitner <nomeata@debian.org>  Sun, 05 Apr 2015 18:57:40 +0200

ghc-mod (5.2.1.1-4) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Do not depend on transformers, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Sat, 20 Dec 2014 20:31:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders: Daniel Gröber <dxld@darkboxed.org>, Kiwamu Okabe <kiwamu@debian.or.jp>
 Build-Depends: debhelper (>= 9),
-               haskell-devscripts (>= 0.8.20),
+               haskell-devscripts (>= 0.9),
                cdbs,
                ghc,
                ghc-ghci,
@@ -23,7 +23,6 @@
                libghc-split-dev,
                libghc-syb-dev,
                libghc-text-dev,
-               libghc-transformers-dev,
                libghc-transformers-base-dev,
                libghc-temporary-dev
 Standards-Version: 3.9.5

=== debian/rules ===
--- 
+++ 
@@ -10,5 +10,7 @@
 	mkdir -p debian/ghc-mod/usr/bin
 	cp debian/tmp-inst-ghc/usr/bin/ghc-mod debian/ghc-mod/usr/bin/
 	cp debian/tmp-inst-ghc/usr/bin/ghc-modi debian/ghc-mod/usr/bin
-	mkdir -p debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod
-	cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod/usr/share/emacs/site-lisp/ghc-mod/
+
+install/ghc-mod-el :: debian/tmp-inst-ghc
+	mkdir -p debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod
+	cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod/

## ghc-mod 5.4.0.0

=== debian/changelog ===
ghc-mod (5.4.0.0-1build1) xenial; urgency=medium

  * Rebuild for new GHC ABIs.

 -- Colin Watson <cjwatson@ubuntu.com>  Sun, 10 Jan 2016 04:43:47 +0000

ghc-mod (5.4.0.0-1) unstable; urgency=medium

  * New upstream release
     Can be built with GHC 7.10 (Closes: #809088, 809159)

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Fri, 25 Dec 2015 13:12:43 +0100

ghc-mod (5.3.0.0-4) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:02 -0500

ghc-mod (5.3.0.0-3) experimental; urgency=medium

  [ Joachim Breitner ]
  * Add Uploaders field, which I accidentally dropped
  * Fix typo in Build-Depends 

  [ Sven Bartscher ]
  * Drop unnecessary Build-Depends

 -- Sven Bartscher <sven.bartscher@weltraumschlangen.de>  Tue, 29 Sep 2015 19:31:36 +0200

ghc-mod (5.3.0.0-2) experimental; urgency=medium

  * Add lintian override for spurious rpaths

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 15:03:50 +0200

ghc-mod (5.3.0.0-1) experimental; urgency=low

  [ Sven Bartscher ]
  * New upstream release

  [ Joachim Breitner ]
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:26:53 +0200

=== debian/control ===
Source: ghc-mod
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Joachim Breitner <nomeata@debian.org>
Priority: extra
Section: haskell
Build-Depends: debhelper (>= 9),
 haskell-devscripts (>= 0.10),
 cdbs,
 ghc,
 ghc-prof,
 ghc-ghci,
 libghc-async-dev,
 libghc-cabal-helper-dev (>= 0.6.0.0),
 libghc-cabal-helper-dev (<< 0.7),
 libghc-cabal-helper-prof,
 libghc-cereal-dev (>= 0.4),
 libghc-cereal-prof,
 libghc-djinn-ghc-dev (>= 0.0.2.2),
 libghc-djinn-ghc-prof,
 libghc-extra-dev (>= 1.4),
 libghc-extra-dev (<< 1.5),
 libghc-extra-prof,
 libghc-fclabels-dev (>= 2.0),
 libghc-fclabels-dev (<< 2.1),
 libghc-fclabels-prof,
 libghc-ghc-paths-dev,
 libghc-ghc-paths-prof,
 libghc-ghc-syb-utils-dev,
 libghc-ghc-syb-utils-prof,
 libghc-hlint-dev (>= 1.8.61),
 libghc-hlint-prof,
 libghc-monad-control-dev (>= 1),
 libghc-monad-control-prof,
 libghc-monad-journal-dev (>= 0.4),
 libghc-monad-journal-prof,
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-prof,
 libghc-old-time-dev,
 libghc-old-time-prof,
 libghc-pipes-dev (>= 4.1),
 libghc-pipes-dev (<< 4.2),
 libghc-pipes-prof,
 libghc-split-dev,
 libghc-split-prof,
 libghc-src-exts-dev,
 libghc-src-exts-prof,
 libghc-syb-dev,
 libghc-syb-prof,
 libghc-text-dev,
 libghc-text-prof,
 libghc-transformers-base-dev,
 libghc-transformers-base-prof,
 libghc-temporary-dev,
 libghc-temporary-prof,
Build-Depends-Indep: ghc-doc,
 libghc-cabal-helper-doc,
 libghc-cereal-doc,
 libghc-djinn-ghc-doc,
 libghc-extra-doc,
 libghc-fclabels-doc,
 libghc-ghc-paths-doc,
 libghc-ghc-syb-utils-doc,
 libghc-hlint-doc,
 libghc-monad-control-doc,
 libghc-monad-journal-doc,
 libghc-mtl-doc,
 libghc-old-time-doc,
 libghc-pipes-doc,
 libghc-split-doc,
 libghc-src-exts-doc,
 libghc-syb-doc,
 libghc-temporary-doc,
 libghc-text-doc,
 libghc-transformers-base-doc,
Standards-Version: 3.9.6
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git

Package: ghc-mod
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends},
 ${haskell:ghc-version},
 cabal-helper,
Recommends: ghc-mod-el (= ${binary:Version}),
Description: Happy Haskell programming
 This package provides the executables ghc-mod and ghc-modi. The GNU Emacs
 integration code is provided by a separate package, namely ghc-mod-el.

Package: ghc-mod-el
Architecture: all
Depends: ${shlibs:Depends},
 ${misc:Depends},
 emacsen-common (>= 2.0.8),
 ghc-mod (>= ${source:Version}),
 ghc-mod (<< ${source:Version}.1~),
Recommends: haskell-mode,
Breaks: ghc-mod (<< 5.2.1.1-1),
Replaces: ghc-mod (<< 5.2.1.1-1),
Description: Happy Haskell programming with Emacs
 This package proviceds the GNU Emacs integration code for ghc-mod.
 .
 Note: This package does NOT support xemacs*. Only for emacs*.

=== debian/rules ===
--- 
+++ 
@@ -13,4 +13,4 @@
 
 install/ghc-mod-el :: debian/tmp-inst-ghc
 	mkdir -p debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod
-	cp debian/tmp-inst-ghc/usr/share/ghc-mod/*.el debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod/
+	cp debian/tmp-inst-ghc/usr/share/ghc-mod/elisp/*.el debian/ghc-mod-el/usr/share/emacs/site-lisp/ghc-mod/

## ghc-mod 5.5.0.0

=== debian/changelog ===
ghc-mod (5.5.0.0-1) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)

  [ Joachim Breitner ]
  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Sat, 28 May 2016 13:29:32 +0200

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,11 @@
  ghc-prof,
  ghc-ghci,
  libghc-async-dev,
- libghc-cabal-helper-dev (>= 0.6.0.0),
+ libghc-cabal-helper-dev (>= 0.6.3.0),
  libghc-cabal-helper-dev (<< 0.7),
  libghc-cabal-helper-prof,
- libghc-cereal-dev (>= 0.4),
- libghc-cereal-prof,
  libghc-djinn-ghc-dev (>= 0.0.2.2),
+ libghc-djinn-ghc-dev (<< 0.1),
  libghc-djinn-ghc-prof,
  libghc-extra-dev (>= 1.4),
  libghc-extra-dev (<< 1.5),
@@ -23,38 +22,47 @@
  libghc-fclabels-dev (>= 2.0),
  libghc-fclabels-dev (<< 2.1),
  libghc-fclabels-prof,
- libghc-ghc-paths-dev,
+ libghc-ghc-paths-dev (<< 0.2),
  libghc-ghc-paths-prof,
- libghc-ghc-syb-utils-dev,
+ libghc-ghc-syb-utils-dev (<< 0.3),
  libghc-ghc-syb-utils-prof,
+ libghc-src-exts-dev (<< 1.18),
+ libghc-src-exts-prof,
  libghc-hlint-dev (>= 1.8.61),
+ libghc-hlint-dev (<< 1.10),
  libghc-hlint-prof,
  libghc-monad-control-dev (>= 1),
+ libghc-monad-control-dev (<< 1.1),
  libghc-monad-control-prof,
  libghc-monad-journal-dev (>= 0.4),
+ libghc-monad-journal-dev (<< 0.8),
  libghc-monad-journal-prof,
  libghc-mtl-dev (>= 2.0),
+ libghc-mtl-dev (<< 2.3),
  libghc-mtl-prof,
- libghc-old-time-dev,
+ libghc-old-time-dev (<< 1.2),
  libghc-old-time-prof,
  libghc-pipes-dev (>= 4.1),
  libghc-pipes-dev (<< 4.2),
  libghc-pipes-prof,
- libghc-split-dev,
+ libghc-safe-dev (>= 0.3.9),
+ libghc-safe-dev (<< 0.4),
+ libghc-safe-prof,
+ libghc-split-dev (<< 0.3),
  libghc-split-prof,
- libghc-src-exts-dev,
- libghc-src-exts-prof,
- libghc-syb-dev,
+ libghc-syb-dev (<< 0.7),
  libghc-syb-prof,
- libghc-text-dev,
+ libghc-temporary-dev (<< 1.3),
+ libghc-temporary-prof,
+ libghc-text-dev (<< 1.3),
  libghc-text-prof,
- libghc-transformers-base-dev,
+ libghc-transformers-base-dev (<< 0.5),
  libghc-transformers-base-prof,
- libghc-temporary-dev,
- libghc-temporary-prof,
+ libghc-monad-control-dev (>= 1.0),
+ libghc-optparse-applicative-dev (>= 0.11.0),
+ libghc-optparse-applicative-dev (<< 0.13.0),
 Build-Depends-Indep: ghc-doc,
  libghc-cabal-helper-doc,
- libghc-cereal-doc,
  libghc-djinn-ghc-doc,
  libghc-extra-doc,
  libghc-fclabels-doc,
@@ -66,16 +74,17 @@
  libghc-mtl-doc,
  libghc-old-time-doc,
  libghc-pipes-doc,
+ libghc-safe-doc,
  libghc-split-doc,
  libghc-src-exts-doc,
  libghc-syb-doc,
  libghc-temporary-doc,
  libghc-text-doc,
  libghc-transformers-base-doc,
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/
-Vcs-Git: git://git.debian.org/git/pkg-haskell/DHG_packages.git
+Vcs-Git: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git
 
 Package: ghc-mod
 Architecture: any

## ghc-mod 5.6.0.0

=== debian/changelog ===
ghc-mod (5.6.0.0-2) unstable; urgency=medium

  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:32:17 -0400

ghc-mod (5.6.0.0-1) experimental; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Fri, 07 Oct 2016 19:26:52 -0400

=== debian/control ===
Source: ghc-mod
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
Priority: extra
Section: haskell
Build-Depends:
 cdbs,
 debhelper (>= 9),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-async-dev,
 libghc-cabal-helper-dev (<< 0.8),
 libghc-cabal-helper-dev (>= 0.7.1.0),
 libghc-cabal-helper-prof,
 libghc-djinn-ghc-dev (<< 0.1),
 libghc-djinn-ghc-dev (>= 0.0.2.2),
 libghc-djinn-ghc-prof,
 libghc-extra-dev (<< 1.5),
 libghc-extra-dev (>= 1.4),
 libghc-extra-prof,
 libghc-fclabels-dev (<< 2.1),
 libghc-fclabels-dev (>= 2.0),
 libghc-fclabels-prof,
 libghc-ghc-paths-dev (<< 0.2),
 libghc-ghc-paths-prof,
 libghc-ghc-syb-utils-dev (<< 0.3),
 libghc-ghc-syb-utils-prof,
 libghc-hlint-dev (<< 1.10),
 libghc-hlint-dev (>= 1.9.27),
 libghc-hlint-prof,
 libghc-monad-control-dev (<< 1.1),
 libghc-monad-control-dev (>= 1),
 libghc-monad-control-dev (>= 1.0),
 libghc-monad-control-prof,
 libghc-monad-journal-dev (<< 0.8),
 libghc-monad-journal-dev (>= 0.4),
 libghc-monad-journal-prof,
 libghc-mtl-dev (<< 2.3),
 libghc-mtl-dev (>= 2.0),
 libghc-mtl-prof,
 libghc-old-time-dev (<< 1.2),
 libghc-old-time-prof,
 libghc-optparse-applicative-dev (<< 0.13.0),
 libghc-optparse-applicative-dev (>= 0.11.0),
 libghc-optparse-applicative-prof,
 libghc-pipes-dev (<< 4.2),
 libghc-pipes-dev (>= 4.1),
 libghc-pipes-prof,
 libghc-safe-dev (<< 0.4),
 libghc-safe-dev (>= 0.3.9),
 libghc-safe-prof,
 libghc-split-dev (<< 0.3),
 libghc-split-prof,
 libghc-src-exts-dev (<< 1.18),
 libghc-src-exts-prof,
 libghc-syb-dev (<< 0.7),
 libghc-syb-prof,
 libghc-temporary-dev (<< 1.3),
 libghc-temporary-prof,
 libghc-text-dev (<< 1.3),
 libghc-text-prof,
 libghc-transformers-base-dev (<< 0.5),
 libghc-transformers-base-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-cabal-helper-doc,
 libghc-djinn-ghc-doc,
 libghc-extra-doc,
 libghc-fclabels-doc,
 libghc-ghc-paths-doc,
 libghc-ghc-syb-utils-doc,
 libghc-hlint-doc,
 libghc-monad-control-doc,
 libghc-monad-journal-doc,
 libghc-mtl-doc,
 libghc-old-time-doc,
 libghc-optparse-applicative-doc,
 libghc-pipes-doc,
 libghc-safe-doc,
 libghc-split-doc,
 libghc-src-exts-doc,
 libghc-syb-doc,
 libghc-temporary-doc,
 libghc-text-doc,
 libghc-transformers-base-doc,
Standards-Version: 3.9.8
Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ghc-mod
Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

Package: ghc-mod
Architecture: any
Depends:
 cabal-helper,
 ${haskell:ghc-version},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ghc-mod-el (= ${binary:Version}),
Description: Happy Haskell programming
 This package provides the executables ghc-mod and ghc-modi. The GNU Emacs
 integration code is provided by a separate package, namely ghc-mod-el.

Package: ghc-mod-el
Architecture: all
Depends:
 emacsen-common (>= 2.0.8),
 ghc-mod (<< ${source:Version}.1~),
 ghc-mod (>= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 haskell-mode,
Breaks:
 ghc-mod (<< 5.2.1.1-1),
Replaces:
 ghc-mod (<< 5.2.1.1-1),
Description: Happy Haskell programming with Emacs
 This package proviceds the GNU Emacs integration code for ghc-mod.
 .
 Note: This package does NOT support xemacs*. Only for emacs*.

=== debian/watch ===
version=3
http://hackage.haskell.org/package/ghc-mod/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## ghc-mod 5.7.0.0

=== debian/changelog ===
ghc-mod (5.7.0.0-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 21:16:01 -0400

ghc-mod (5.6.0.0-3) unstable; urgency=medium

  * Team upload.
  * fix test build with upstream patch

 -- Clint Adams <clint@debian.org>  Wed, 21 Jun 2017 08:39:47 +0200

=== debian/control ===
--- 
+++ 
@@ -10,61 +10,68 @@
  ghc (>= 8),
  ghc-prof,
  haskell-devscripts (>= 0.13),
- libghc-async-dev,
+ libghc-cabal-helper-dev (>= 0.7.3.0),
  libghc-cabal-helper-dev (<< 0.8),
- libghc-cabal-helper-dev (>= 0.7.1.0),
  libghc-cabal-helper-prof,
  libghc-djinn-ghc-dev (<< 0.1),
  libghc-djinn-ghc-dev (>= 0.0.2.2),
  libghc-djinn-ghc-prof,
- libghc-extra-dev (<< 1.5),
- libghc-extra-dev (>= 1.4),
+ libghc-extra-dev (>= 1.4.0),
+ libghc-extra-dev (<< 1.6),
  libghc-extra-prof,
  libghc-fclabels-dev (<< 2.1),
  libghc-fclabels-dev (>= 2.0),
  libghc-fclabels-prof,
+ libghc-ghc-paths-dev (>= 0.1.0.9),
  libghc-ghc-paths-dev (<< 0.2),
  libghc-ghc-paths-prof,
+ libghc-ghc-syb-utils-dev (>= 0.2.3),
  libghc-ghc-syb-utils-dev (<< 0.3),
  libghc-ghc-syb-utils-prof,
+ libghc-src-exts-dev (>= 1.16.0.1),
+ libghc-src-exts-dev (<< 1.19),
+ libghc-src-exts-prof,
+ libghc-hlint-dev (>= 1.9.27),
  libghc-hlint-dev (<< 1.10),
- libghc-hlint-dev (>= 1.9.27),
  libghc-hlint-prof,
  libghc-monad-control-dev (<< 1.1),
  libghc-monad-control-dev (>= 1),
- libghc-monad-control-dev (>= 1.0),
  libghc-monad-control-prof,
+ libghc-monad-journal-dev (>= 0.4),
  libghc-monad-journal-dev (<< 0.8),
- libghc-monad-journal-dev (>= 0.4),
  libghc-monad-journal-prof,
  libghc-mtl-dev (<< 2.3),
  libghc-mtl-dev (>= 2.0),
  libghc-mtl-prof,
  libghc-old-time-dev (<< 1.2),
  libghc-old-time-prof,
- libghc-optparse-applicative-dev (<< 0.13.0),
  libghc-optparse-applicative-dev (>= 0.11.0),
+ libghc-optparse-applicative-dev (<< 0.14.0),
  libghc-optparse-applicative-prof,
- libghc-pipes-dev (<< 4.2),
- libghc-pipes-dev (>= 4.1),
+ libghc-pipes-dev (>= 4.1.0),
+ libghc-pipes-dev (<< 4.4),
  libghc-pipes-prof,
  libghc-safe-dev (<< 0.4),
  libghc-safe-dev (>= 0.3.9),
  libghc-safe-prof,
+ libghc-split-dev (>= 0.2.2),
  libghc-split-dev (<< 0.3),
  libghc-split-prof,
- libghc-src-exts-dev (<< 1.18),
- libghc-src-exts-prof,
+ libghc-syb-dev (>= 0.5.1),
  libghc-syb-dev (<< 0.7),
  libghc-syb-prof,
+ libghc-temporary-dev (>= 1.2.0.3),
  libghc-temporary-dev (<< 1.3),
  libghc-temporary-prof,
+ libghc-text-dev (>= 1.2.1.3),
  libghc-text-dev (<< 1.3),
  libghc-text-prof,
+ libghc-transformers-base-dev (>= 0.4.4),
  libghc-transformers-base-dev (<< 0.5),
  libghc-transformers-base-prof,
-Build-Depends-Indep:
- ghc-doc,
+ libghc-semigroups-dev (>= 0.10.0),
+ libghc-semigroups-dev (<< 0.19),
+Build-Depends-Indep: ghc-doc,
  libghc-cabal-helper-doc,
  libghc-djinn-ghc-doc,
  libghc-extra-doc,
@@ -85,7 +92,7 @@
  libghc-temporary-doc,
  libghc-text-doc,
  libghc-transformers-base-doc,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ghc-mod
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

## ghc-mod 5.8.0.0

=== debian/changelog ===
ghc-mod (5.8.0.0-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Patch to support haskell-syb v0.7

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 05 Nov 2017 14:25:50 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
 Uploaders:
  Joachim Breitner <nomeata@debian.org>,
-Priority: extra
+Priority: optional
 Section: haskell
 Build-Depends:
  cdbs,
@@ -16,7 +16,7 @@
  libghc-djinn-ghc-dev (<< 0.1),
  libghc-djinn-ghc-dev (>= 0.0.2.2),
  libghc-djinn-ghc-prof,
- libghc-extra-dev (>= 1.4.0),
+ libghc-extra-dev (>= 1.4),
  libghc-extra-dev (<< 1.6),
  libghc-extra-prof,
  libghc-fclabels-dev (<< 2.1),
@@ -28,11 +28,11 @@
  libghc-ghc-syb-utils-dev (>= 0.2.3),
  libghc-ghc-syb-utils-dev (<< 0.3),
  libghc-ghc-syb-utils-prof,
- libghc-src-exts-dev (>= 1.16.0.1),
- libghc-src-exts-dev (<< 1.19),
+ libghc-src-exts-dev (>= 1.18),
+ libghc-src-exts-dev (<< 1.20),
  libghc-src-exts-prof,
- libghc-hlint-dev (>= 1.9.27),
- libghc-hlint-dev (<< 1.10),
+ libghc-hlint-dev (>= 2.0.8),
+ libghc-hlint-dev (<< 2.1),
  libghc-hlint-prof,
  libghc-monad-control-dev (<< 1.1),
  libghc-monad-control-dev (>= 1),
@@ -40,25 +40,27 @@
  libghc-monad-journal-dev (>= 0.4),
  libghc-monad-journal-dev (<< 0.8),
  libghc-monad-journal-prof,
- libghc-mtl-dev (<< 2.3),
- libghc-mtl-dev (>= 2.0),
+ libghc-mtl-dev,
  libghc-mtl-prof,
- libghc-old-time-dev (<< 1.2),
+ libghc-old-time-dev,
  libghc-old-time-prof,
- libghc-optparse-applicative-dev (>= 0.11.0),
- libghc-optparse-applicative-dev (<< 0.14.0),
+ libghc-optparse-applicative-dev (>= 0.13.0.0),
+ libghc-optparse-applicative-dev (<< 0.14),
  libghc-optparse-applicative-prof,
- libghc-pipes-dev (>= 4.1.0),
+ libghc-pipes-dev (>= 4.1),
  libghc-pipes-dev (<< 4.4),
  libghc-pipes-prof,
  libghc-safe-dev (<< 0.4),
  libghc-safe-dev (>= 0.3.9),
  libghc-safe-prof,
+ libghc-semigroups-dev (>= 0.10.0),
+ libghc-semigroups-dev (<< 0.19),
+ libghc-semigroups-prof,
  libghc-split-dev (>= 0.2.2),
  libghc-split-dev (<< 0.3),
  libghc-split-prof,
  libghc-syb-dev (>= 0.5.1),
- libghc-syb-dev (<< 0.7),
+ libghc-syb-dev (<< 0.8),
  libghc-syb-prof,
  libghc-temporary-dev (>= 1.2.0.3),
  libghc-temporary-dev (<< 1.3),
@@ -69,8 +71,6 @@
  libghc-transformers-base-dev (>= 0.4.4),
  libghc-transformers-base-dev (<< 0.5),
  libghc-transformers-base-prof,
- libghc-semigroups-dev (>= 0.10.0),
- libghc-semigroups-dev (<< 0.19),
 Build-Depends-Indep: ghc-doc,
  libghc-cabal-helper-doc,
  libghc-djinn-ghc-doc,
@@ -86,14 +86,15 @@
  libghc-optparse-applicative-doc,
  libghc-pipes-doc,
  libghc-safe-doc,
+ libghc-semigroups-doc,
  libghc-split-doc,
  libghc-src-exts-doc,
  libghc-syb-doc,
  libghc-temporary-doc,
  libghc-text-doc,
  libghc-transformers-base-doc,
-Standards-Version: 4.0.0
-Homepage: http://www.mew.org/~kazu/proj/ghc-mod/
+Standards-Version: 4.1.1
+Homepage: https://github.com/DanielG/ghc-mod
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-haskell/DHG_packages.git/tree/p/ghc-mod
 Vcs-Git: https://anonscm.debian.org/git/pkg-haskell/DHG_packages.git

=== debian/watch ===
version=3
https://hackage.haskell.org/package/ghc-mod/distro-monitor .*-([0-9\.]+).(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
